Download it now!
Bug 46258 - EasyHack: remove obsolete 'isTestTool' from vcl ...
Summary: EasyHack: remove obsolete 'isTestTool' from vcl ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Josh Heidenreich
URL:
Whiteboard: target:3.6.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2012-02-18 11:44 UTC by Michael Meeks
Modified: 2015-12-15 23:49 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Removal of the code. (5.82 KB, patch)
2012-02-20 18:38 UTC, Josh Heidenreich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2012-02-18 11:44:09 UTC
VCL used to have code to adapt to the presence of the test-tool that it used to run under. This is now gone forever, so we should strip it out:

git grep mbIsTestTool

and rip/replace all it's dependents - it should be always false.

Thanks :-)
Comment 1 Josh Heidenreich 2012-02-20 18:38:10 UTC
Created attachment 57370 [details]
Removal of the code.

I'm fairly sure this is all good, but was hoping someone would be able to check before I push.
Comment 2 Michael Meeks 2012-02-21 04:06:55 UTC
Looks lovely to me :-) please do push & close - thanks ! :-)
Comment 3 Josh Heidenreich 2012-02-21 14:41:39 UTC
Pushed.
Comment 4 Not Assigned 2012-02-21 14:45:16 UTC
Josh Heidenreich committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=936ebcfa4b44a90bdc8789ce7556f1ba3599375c

EasyHack fdo#46258 Removal of VCL testtool support (-enableautomation option)
Comment 5 Robinson Tryon (qubit) 2015-12-15 23:49:35 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillCpp,TopicCleanup)
[NinjaEdit]